package cn.com.countrygarden.bi.main.service.review;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;

import cn.com.countrygarden.bi.main.model.review.ReviewQuestionnaireProblemOption;
/* 选项表-业务逻辑层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-07-06
 */
public interface ReviewQuestionnaireProblemOptionService {

    Result queryPageList(ReviewQuestionnaireProblemOption reviewQuestionnaireProblemOption, int page, int size);

    Result queryById(Integer id);

    Result add(ReviewQuestionnaireProblemOption reviewQuestionnaireProblemOption, AccessToken accessToken);

    Result edit(ReviewQuestionnaireProblemOption reviewQuestionnaireProblemOption, AccessToken accessToken);

    Result del(Integer id);

}